Не работает Viber

Обнаружилось после установки и обновления дистрибутива, что мессенеджер viber из репозитория отказывается работать. Проблема решилась установкой пакета с сайта производителя.
Пришлось доустанавливать ещё два пакета-зависимости:libgstreamer и libgstreamer-0.10.so.0.
Программа установки пакетов почемуто зависимые пакеты не определила.
Пришлось запускать viber из окна терминала, после чего программа и подсказала, каких ей пакетов не хватает.

Даже в рабочем состоянии в командной строке выводились такие сообщения об ошибках:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
artur@artur-PC:/opt/viber$ ./Viber
QSqlDatabasePrivate::removeDatabase: connection ‘ConfigureDBConnection’ is still in use, all queries will cease to work.
Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory…
Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory…
Qt WebEngine ICU data not found at /opt/viber/resources. Trying parent directory…
Qt WebEngine resources not found at /opt/viber/resources. Trying parent directory…
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Ошибка не фатальная, просто при запуске viber ищет некоторые файлы в несуществующем каталоге /opt/viber/resources.
Он их затем всё таки находит в главном каталоге программы /opt/viber/…
Если эти сообщения раздражают или на душе неспокойно, можно создать этот каталог и поместить в него ссылки на искомые файлы и сообщения исчезнут:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
sudo mkdir /opt/viber/resources
sudo ln -s /opt/viber/icudtl.dat /opt/viber/resources/icudtl.dat
sudo ln -s /opt/viber/qtwebengine_resources.pak /opt/viber/resources/qtwebengine_resources.pak
sudo ln -s /opt/viber/qtwebengine_resources_100p.pak /opt/viber/resources/qtwebengine_resources_100p.pak
sudo ln -s /opt/viber/qtwebengine_resources_200p.pak /opt/viber/resources/qtwebengine_resources_200p.pak
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Ваш ответ